// generated by Fast Light User Interface Designer (fluid) version 1.0109

#ifndef ui_h
#define ui_h
#include <FL/Fl.H>
#include "common.h"
#include "aux.h"
#include "pkgbrowser.h"
#include "windows.h"
#include <FL/Fl_Group.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Round_Button.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Double_Window.H>

class GamesUI {
public:
  GamesUI();
  ~GamesUI();
  void Resize(int w, int h);
  void Screenshot(Fl_Image *img);
  MainWindow* CreateMainWindow();
  MainWindow *Window;
  Fl_Group *InputGroup;
  Fl_Input *SearchInput;
  Fl_Choice *TypeSelection;
  static Fl_Menu_Item menu_TypeSelection[];
  Fl_Choice *InterfaceSelection;
  static Fl_Menu_Item menu_InterfaceSelection[];
  Fl_Round_Button *AlreadyInstalled;
  Fl_Round_Button *ToBeInstalled;
  Fl_Round_Button *InstalledOrNot;
private:
  void cb__i(Fl_Button*, void*);
  static void cb_(Fl_Button*, void*);
public:
  Fl_Button *ScreenshotWidget;
private:
  void cb_ScreenshotWidget_i(Fl_Button*, void*);
  static void cb_ScreenshotWidget(Fl_Button*, void*);
public:
  PackageBrowser *ResultsBrowser;
  VersatileBrowser *DebTagsBrowser;
  HTMLView *InfoView;
  void *user_data; 
  Fl_Double_Window* CreateAboutWindow();
  Fl_Double_Window *AboutWindow;
  HTMLView *AboutView;
private:
  Fl_Button *AboutStar;
public:
  MainWindow * CreateWindows();
  static void AboutViewUpdated(HTMLView *item);
};
#endif
